﻿using OUDBCommonLibs.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace OUDBCommonLibs.Tuple
{
    public class TupleAttributeDesc : ITupleAttributeDesc
    {
        public TupleAttributeDesc(string name, Type relationType, Type attributeType)
        {
            this.Name = name;
            this.RelationType = relationType;
            this.AttributeType = attributeType;
        }

        public string Name
        {
            get;
            private set;
        }

        public Type RelationType
        {
            get;
            private set;
        }

        public Type AttributeType
        {
            get;
            private set;
        }
    }
}
