﻿using OUDBCommonLibs.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OUDBCommonLibs.Variables
{
    public abstract class RandomNumericVariableBase : RandomVariableBase<double>
    {
    }

    public abstract class RandomNumericVariableWithMeanBase : RandomNumericVariableBase, IRandomVariableWithMean<double>
    {
        public abstract double Mean
        {
            get;
            protected set;
        }
    }
}
