﻿using OUDBCommonLibs.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OUDBCommonLibs.Variables
{
    public abstract class RandomVariableBase<T> : IRandomVariable<T>
    {
        public RandomVariableBase()
        : this(new Random())
        { }

        public RandomVariableBase(Random random) { this.Random = random; }

        public abstract T Sample();

        public Random Random
        {
            get;
            private set;
        }
    }
}
