﻿using OUDBCommonLibs.Interfaces;
using OUDBCommonLibs.Variables;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OUDBCommonLibs.Generators
{
    public class RandomNumericalGenerator : GeneratorBase<double>
    {
        public RandomNumericalGenerator(IRandomVariable<double> randomVariableGenerator)
        {
            this.Variable = randomVariableGenerator;
        }

        public IRandomVariable<double> Variable { get; private set; }

        public override double GenerateValue()
        {
            return this.Variable.Sample();
        }
    }
}
