﻿using OUDBCommonLibs.Variables;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OUDBCommonLibs.Interfaces
{
    public interface ICachedQueryBatchExperiment<T> : IExperiment<T>
    {
        int MaxCacheRegions { get; }

        int RelationSize { get; }

        int MaxCachedTuples { get; }

        RandomNumericVariableWithMeanBase QueryPercentOfTotalRelation { get; }

        double PercentExperimental { get; }

        double PercentMiss { get; }

        SemanticQueryType ExperimentalVariable { get; }

        double PercentSemanticHit { get; }

        int MeanTuplesPerQuery { get; }

        double CacheablePercent { get; }

        double AverageQueryPercentOfCache { get; }

        int MaxCacheableRegions { get; }

        int MaxNumUniqueRegions { get; }
    }
}
