﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OUDBCommonLibs.Interfaces
{
    public interface IProjection<RT, PT>
        where PT : new()
    {
        PT Project(RT tuple);

        IList<IProjectionDesc<RT, PT>> AttributeProjections { get; }
    }

    public interface IProjectionDesc<RT, PT>
        where PT: new()
    {
        ITupleAttributeDesc RelationAttribute { get; }
        ITupleAttributeDesc ProjectionAttribute { get; }
        Action<RT, PT> ProjectAttributeFunc { get; }
    }
}
