﻿using OUDBCommonLibs.Variables;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OUDBCommonLibs.Interfaces
{
    public interface ISemanticQueryGenerator<RT>
    {
        IQuery<RT> GetCacheHit(RandomNumericVariableBase percentOfRelation);

        IQuery<RT> GetCacheMiss(RandomNumericVariableBase percentOfRelation);

        IQuery<RT> GetCachePartialHit(RandomNumericVariableBase percentOfRelation, RandomNumericVariableBase percentOfCacheOverlap);

        IQuery<RT> GetCacheExtendedHit(RandomNumericVariableBase percentOfRelation);
    }
}
