# Copyright (C) 2008 Sun Microsystems, Inc. All rights reserved.
# Use is subject to license terms.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
# USA

query:
 	select;

select:
	SELECT * FROM exp_table WHERE condition ;

condition:
	idcondition | intattr1condition | intattr2condition | intattr3condition;

idcondition:
	id inf_between { $idmax = int(rand(200000)); $idmax } AND id sup_between { $idmax > 150000 ? int(rand($idmax-50000)+50000) : int(rand($idmax-1)) } ;

intattr1condition:
	intattr1 inf_between { $ia1max = int(rand(10000)); $ia1max } AND intattr1 sup_between { $ia1max > 7500 ? int(rand($ia1max-2500)+2500) : int(rand($ia1max-1)) } ;
	
intattr2condition:
	intattr2 inf_between { $ia2max = int(rand(50000)); $ia2max } AND intattr2 sup_between { $ia2max > 37500 ? int(rand($ia2max-12500)+12500) : int(rand($ia2max-1)) } ;
	
intattr3condition:
	intattr3 inf_between { $ia3max = int(rand(100000)); $ia3max } AND intattr3 sup_between { $ia3max > 75000 ? int(rand($ia3max-25000)+25000) : int(rand($ia3max-1)) } ;

inf:
	< | <= | = ;
sup:
	> | >= | = ;
inf_between:
	< | <= ;
sup_between:
	> | >= ;


